Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Create a certificate template

POST/api/admin/certificates/templates
Request body
requiredapplication/json
namestringrequired
min length 1 · max length 120
pageSizestringrequired
Allowed:a4_landscapea4_portraitletter_landscape
Responses
200

Success

idstringrequired
pageSizestringrequired
Show properties
Any of:
string
string
string
string
string
string
namestringrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
createdBystring | nullrequired
Show properties
Any of:
string
string
null
null
currentVersionstring | nullrequired
Show properties
Any of:
string
string
null
null
publishedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
401

Unauthorized

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

Any of:
object
errorstringrequired
object
errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X POST '/api/admin/certificates/templates' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "pageSize": "a4_landscape"
}'
Response
{
  "id": "string",
  "pageSize": "a4_landscape",
  "name": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "createdBy": "string",
  "currentVersion": "string",
  "publishedAt": "2019-08-24T14:15:22Z"
}